WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Flickr Thumbnails Photostream

The Flickr Thumbnails Photostream plugin makes including and linking to photos on a Flickr account simple and flexible.

Upgrade

If you are upgrading from version 1.0 or 1.0.1 to version 1.1 then you will need to de-activate and re-activate the plugin. This is to ensure that some of the new features will be fully initialised.

File Listing

All files, both PHP and CSS, can be found within the main extracted plugin folder.

Within the folder "flickr-thumbnails-photostream" you should find the following 7 files:-

  1. flickrScript.php - the file that will interface with the Flickr API (required)
  2. flickrPlugin.php - the display file that WordPress will interface with (required)
  3. flickrInclude.php - used for commonly used PHP variables and functions (required)
  4. runScript.php - used for cron or other photo data update automation control (optional usage)
  5. style.css - used for styling the presentation of the thumbnails (required, but can be modified)
  6. readme.txt - this information file
  7. COPYING - a copy of the license terms for this release

XSS Security Function

If Flickr change their URL content and/or structure you may see this error on your site "One or more photos have been disabled for XSS security reasons". If this happens then please de-activate the XSS security function by unticking the checkbox in the admin panel. The issue should then be fixed in the next release of the plugin. Please do NOT disable this function unless you experience this error message.

For further support or information please visit: http://community.plus.net/opensource/

Requires: 2.3.3 or higher
Compatible up to: 2.5
Last Updated: 2008-6-4
Downloads: 24,818

Ratings

3 stars
3.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
50,2,1
100,1,1